Description: Work around bugs in distro detection script
 /etc/os-release doesn't mean that the name of the distribution is "os"
 contrary to /etc/fedora-release... this whole script should be revised
 in light of modern practices.
Author: Raphaël Hertzog <hertzog@debian.org>
--- a/utils/linuxrelease
+++ b/utils/linuxrelease
@@ -61,6 +61,7 @@ function checkForKeyFile() {
     # The tests for release, version etc. file...
     for testme in fedora-release *-release *version lfs-*; do
       releaseFile=`find /etc -name "${testme}" ${maxdepth} 2> /dev/null | \
+                   grep -v os-release | \
                    grep -v lsb | \
                    grep -v UnitedLinux | \
                    head -n 1` 
